Bug 1270360 - [GSS] (6.4.z) HHH-10182 - org.infinispan.util.concurrent.TimeoutException: Unable to acquire lock after [0 milliseconds] ... Lock held by [null]
[GSS] (6.4.z) HHH-10182 - org.infinispan.util.concurrent.TimeoutException: Un...
Status: CLOSED CURRENTRELEASE
Product: JBoss Enterprise Application Platform 6
Classification: JBoss
Component: Hibernate (Show other bugs)
6.3.0
Unspecified Unspecified
unspecified Severity unspecified
: CR1
: EAP 6.4.5
Assigned To: Radim Vansa
hsvabek
:
Depends On:
Blocks: 1235745 1259122
  Show dependency treegraph
 
Reported: 2015-10-09 14:52 EDT by Stephen Fikes
Modified: 2017-01-17 06:39 EST (History)
9 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2017-01-17 06:39:05 EST
Type: Bug
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Stephen Fikes 2015-10-09 14:52:36 EDT
Description of problem:

Frequently seeing the below error:

... ERROR [org.infinispan.interceptors.InvocationContextInterceptor] ISPN000136: Execution error: org.infinispan.util.concurrent.TimeoutException: Unable to acquire lock after [0 milliseconds] on key [sql: select ... from ... where ...; parameters: ; named parameters: ...; transformer: org.hibernate.transform.CacheableResultTransformer@110f2] for requestor [GlobalTransaction:<null>:3786846:local]! Lock held by [null]

Version-Release number of selected component (if applicable):

5.2.10.Final-redhat-1

How reproducible:

Random

Steps to Reproduce:

Multiple threads accessing overlapping entity sets (high concurrency)

Actual results:

Transaction fails and must be re-executed

Expected results:

The error should not occur

Additional info:

https://hibernate.atlassian.net/browse/HHH-7898
Comment 4 Gail Badner 2015-10-13 05:17:03 EDT
Only the fix for JPA environment can be backported from HHH-7898. 

I've created a different JIRA for backporting the partial fix: 
https://hibernate.atlassian.net/browse/HHH-10182
Comment 5 Gail Badner 2015-10-13 05:34:08 EDT
https://hibernate.atlassian.net/browse/HHH-10005 will also be backported because it fixes a regression caused by HHH-7898.
Comment 8 hsvabek 2015-11-05 03:07:01 EST
Verified with EAP 6.4.5.CP.CR1.
Comment 9 Petr Penicka 2017-01-17 06:39:05 EST
Retroactively bulk-closing issues from released EAP 6.4 cumulative patches.

Note You need to log in before you can comment on or make changes to this bug.